//
//	ExtendedApp.h -- a class to make extra information available via the
//		application object.  You no longer need to link against ni_s!
//		Written by Don Yacktman (c) 1993 by Don Yacktman.
//				Version 1.1.  All rights reserved.
//
//		This is a free object!  Contact the author for the latest version.
//		Don Yacktman, 4279 N. Ivy Lane, Provo, UT, 84604
//		e-mail:  Don_Yacktman@byu.edu
//
//	See ExtendedApp.m for details of the software license.
//

#import <appkit/appkit.h>

int DAYOSVersion();	// returns a 0 or 1 (for 3.0 vs. 3.1) -1 on error

@interface ExtendedApp:Application
{
    char realHostName[MAXHOSTNAMELEN];	// host running the application
    NXAtom userRealName;				// real name of user running the app
}

+ new;
- (const char *)appDirectory;
- (int)osVersion;
- (int)userIDNum;
- (int)groupIDNum;
- (int)effectiveUserIDNum;
- (int)effectiveGroupIDNum;
- (unsigned long int)hostID;
- (NXAtom)userHomeDirectory;
- (NXAtom)userLoginName;
- (NXAtom)userRealName;
- (NXAtom)realHostName;
- (NXAtom)realNameFor:(NXAtom)userId;

@end
