#import "ClockViewInspector.h"
#import <appkit/appkit.h>
#import "ClockView.h"

@implementation ClockViewInspector

- init
{
	char buf[MAXPATHLEN + 1];
	id bundle;
    
    [super init];
    bundle = [NXBundle bundleForClass:[ClockView class]];
    [bundle getPath:buf forResource:"ClockViewInspector" ofType:"nib"];
    [NXApp loadNibFile:buf owner:self withNames:NO fromZone:[self zone]];
    return self;
}

- (BOOL)wantsButtons { return YES; }

- revert:sender
{
	// Put string in text object
	[dayText setIntValue:[object weekday]];
	[dateText setIntValue:[object date]];
	[monthText setIntValue:[object month]];
	[yearText setIntValue:[object year]];
	[hourText setIntValue:[object hours]];
	[minuteText setIntValue:[object minutes]];
	[secondText setIntValue:[object seconds]];
	return [super revert:sender];
}

- ok:sender
{
	[object setSeconds:[secondText intValue]];
	[object setMinutes:[minuteText intValue]];
	[object takeHoursFrom:hourText]; // to set the meridian right
	[object setDate:[dateText intValue]];
	[object setWeekday:[dayText intValue]];
	[object setMonth:[monthText intValue]];
	[object setYear:[yearText intValue]];
	[object display];
	return [super ok:sender];
}

- setToCurrentTime:sender
{
	struct timeval tp;
	struct timezone tzp;
	struct tm *tv;
	
	gettimeofday(&tp, &tzp);
	tv = localtime(&tp.tv_sec);
	[object setTime:tv];
	[object display];
	[self revert:self]; // load values into the text fields
	return [self ok:self]; // show change in the object
}

@end
